DocuSign: Esignature schemas (part 14)
46 DocuSign schemas with complete fields and constraints.
← Esignature operations · All schemas
Creates an envelope — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Envelope object definition. |
accessControlListBase64 | string | Optional | Reserved for Docusign. |
accessibility | string | Optional | Sets the document reading zones for screen reader applications. This element can only be used if Document Accessibility is enabled for the account. **Note:** This information is currently generated from the Docusign web console by setting the reading zones when creating a template, exporting the reading zone string information, and adding it here. |
allowComments | string | Optional | When **true,** comments are allowed on the envelope. |
allowMarkup | string | Optional | When **true,** the Document Markup feature is enabled. **Note:** To use this feature, Document Markup must be enabled at both the account and envelope levels. Only Admin users can change this setting at the account level. |
allowReassign | string | Optional | When **true,** the recipient can redirect an envelope to a more appropriate recipient. |
allowRecipientRecursion | string | Optional | When **true,** this enables the Recursive Recipients feature and allows a recipient to appear more than once in the routing order. |
allowViewHistory | string | Optional | When **true,** users can view the history of the envelope. |
anySigner | string | Optional | Deprecated. This feature has been replaced by signing groups. |
asynchronous | string | Optional | When **true,** the envelope is queued for processing and the value of the `status` property is set to `Processing`. Additionally, GET status calls return `Processing` until completed. **Note:** A `transactionId` is required for this call to work correctly. When the envelope is created, the status is `Processing` and an `envelopeId` is not returned in the response. To get the `envelopeId`, use a GET envelope query by using the [transactionId](/docs/esign-rest-api/reference/envelopes/envelopes/create/) or by checking the Connect notification. |
attachments | array | Optional | An array of attachment objects containing details about any envelope attachments. |
attachments[] | Model | Each item | Expand Updates an envelope attachment in a draft or in-process envelope — request body — body |
attachmentsUri | string | Optional | The URI for retrieving the envelope attachments. |
authoritativeCopy | string | Optional | When **true,** marks all of the documents in the envelope as authoritative copies. **Note:** You can override this value for a specific document. For example, you can set the `authoritativeCopy` property to **true** at the envelope level, but turn it off for a single document by setting the `authoritativeCopy` property for the document to **false.** |
authoritativeCopyDefault | string | Optional | The default `authoritativeCopy` setting for documents in this envelope that do not have `authoritativeCopy` set. If this property is not set, each document defaults to the envelope's `authoritativeCopy`. |
autoNavigation | string | Optional | When **true,** autonavigation is set for the recipient. |
brandId | string | Optional | The ID of the brand, or text and formatting, to use for the envelope. To use brands, account branding must be enabled for the account. **Note:** When creating an envelope using a branded template, include this value to ensure that the brand is applied. |
brandLock | string | Optional | When **true,** the `brandId` for the envelope is locked and senders cannot change the brand used for the envelope. |
burnDefaultTabData | string | Optional | |
certificateUri | string | Optional | The URI for retrieving certificate information. |
completedDateTime | string | Optional | The date and time that the envelope was completed. |
compositeTemplates | array | Optional | A complex type that can be added to create envelopes from a combination of Docusign templates and PDF forms. The basic envelope remains the same, while the Composite Template adds new document and template overlays into the envelope. There can be any number of Composite Template structures in the envelope. |
compositeTemplates[] | Model | Each item | Expand Creates an envelope — request body — body composite Templates item |
copyRecipientData | string | Optional | This value is only applicable when copying an existing envelope. Provide the ID of the envelope to clone in `envelopeId`. When **true,** the recipient field values of the existing envelope are included. Only values from data entry fields, like checkboxes and radio buttons, will be copied. Fields that require an action, like signatures and initials, will not be included. |
createdDateTime | string | Optional | The date and time that the envelope was created. |
customFields | Model | Optional | Expand Gets a list of custom fields — response body An optional array of strings that enables the sender to provide custom data about the recipient. This information is returned in the envelope status but otherwise not used by Docusign. Each `customField` string can be a maximum of 100 characters. **Note:** Any custom fields you set with this API method will _replace_ custom fields you have defined with [Envelope Custom Fields in Admin](https://support.docusign.com/s/document-item?bundleId=pik1583277475390&topicId=qor1583277385137.html), whether the **Show field to envelope creators** or **Make fields required for envelopes** options are checked or not. |
customFieldsUri | string | Optional | The URI for retrieving custom fields. |
declinedDateTime | string | Optional | The date and time that the recipient declined the envelope. |
deletedDateTime | string | Optional | The date and time that the envelope was deleted. |
deliveredDateTime | string | Optional | The date and time that the envelope was delivered to the recipient. This property is read-only. |
disableResponsiveDocument | string | Optional | When **true,** the responsive document feature is turned off for the envelope. |
documentBase64 | string | Optional | The document's bytes. This field can be used to include a base64 version of the document bytes within an envelope definition instead of sending the document using a multi-part HTTP request. The maximum document size is smaller if this field is used due to the overhead of the base64 encoding. |
documents | array | Optional | A complex element that contains details about the documents associated with the envelope. |
documents[] | Model | Each item | Expand Creates an envelope — request body — body documents item |
documentsCombinedUri | string | Optional | The URI for retrieving all of the documents associated with the envelope as a single PDF file. |
documentsUri | string | Optional | The URI for retrieving all of the documents associated with the envelope as separate files. |
emailBlurb | string | Optional | This optional element holds the body of the email message that is sent to all envelope recipients. Maximum Length: 10000 characters. |
emailSettings | Model | Optional | Expand Adds email setting overrides to an envelope — response body This optional complex element enables the sender to override some envelope email setting information. This can be used to override the Reply To email address and name associated with the envelope, as well as the BCC email addresses to which an envelope is sent. When the `emailSettings` information is used for an envelope, it only applies to that envelope. **Important Note:** The `emailSettings` information is not returned in the GET method for envelope status. Use GET /email_settings to return information about the emailSettings. |
emailSubject | string | Optional | The subject line of the email message that is sent to all recipients. For information about adding merge field information to the email subject, see [Template Email Subject Merge Fields](/docs/esign-rest-api/reference/templates/templates/create/#template-email-subject-merge-fields). **Note:** The subject line is limited to 100 characters, including any merged fields.It is not truncated. It is an error if the text is longer than 100 characters. |
enableWetSign | string | Optional | When **true,** the signer is allowed to print the document and sign it on paper. |
enforceSignerVisibility | string | Optional | When **true,** the option selected in the **Document Visibility** section in your account [Sending Settings][sendingsettings] will be enforced for the envelope. See [Fields and Properties][fieldsproperties] for details about document visibility options. Setting `enforceSignerVisibility` to **true** also enables you to omit documents from the specified recipients' envelopes by using the [`excludedDocuments`](/docs/esign-rest-api/reference/envelopes/envelopes/create/#schema__envelopedefinition_recipients_signers_excludeddocuments) array. Recipients that have an administrative role (Agent, Editor, or Intermediaries) or informational role (Certified Deliveries or Carbon Copies) can always see all of the documents in an envelope, unless they are specifically excluded by using the `excludedDocuments` setting when an envelope is sent. Documents that do not have tabs are always visible to all recipients, unless they are excluded by using the `excludedDocuments` setting. **Note:** To use this functionality, [document visibility][docviz] must be enabled for the account. The document visibility feature is available in all developer accounts, but only in certain production account plans. Contact [Docusign Support][support] or your account manager to find out whether document visibility is available for your production account plan. [docviz]: /docs/esign-rest-api/reference/envelopes/envelopedocumentvisibility/ [sendingsettings]: https://admindemo.docusign.com/authenticate?goTo=sending [fieldsproperties]: https://support.docusign.com/s/document-item?rsc_301&bundleId=pik1583277475390&topicId=xgg1583277350154.html [support]: https://support.docusign.com/en/contactSupport# |
envelopeAttachments | array | Optional | An array of attachment objects that provide information about the attachments that are associated with the envelope. |
envelopeAttachments[] | Model | Each item | Expand Updates an envelope attachment in a draft or in-process envelope — request body — body |
envelopeCustomMetadata | Model | Optional | Expand Gets the status of a single envelope — response body — envelope Custom Metadata |
envelopeDocuments | array | Optional | An array containing information about the documents that are included in the envelope. |
envelopeDocuments[] | Model | Each item | Expand Updates a template document — response body |
envelopeId | string | Optional | The envelope ID. When used as a request body in [Envelopes: create](/docs/esign-rest-api/reference/envelopes/envelopes/create/), this is the ID of the envelope to clone. |
envelopeIdStamping | string | Optional | When **true,** [Envelope ID Stamping](https://support.docusign.com/s/document-item?bundleId=gbo1643332197980&topicId=tfm1578456367923.html) is enabled. After a document or attachment is stamped with an Envelope ID, the ID is seen by all recipients and becomes a permanent part of the document and cannot be removed. |
envelopeLocation | string | Optional | Reserved for Docusign. |
envelopeMetadata | Model | Optional | Expand Gets the status of a single envelope — response body — envelope Metadata Metadata about the features that are enabled for the envelope. |
envelopeUri | string | Optional | The URI for retrieving the envelope or envelopes. |
eventNotification | Model | Optional | Expand Creates an envelope — request body — body event Notification This optional object is used to register a webhook that will receive status changes for this envelope. |
expireAfter | string | Optional | Not used. Use the [`expirations`](/docs/esign-rest-api/reference/envelopes/envelopes/create/#definition__envelopedefinition_notification_expirations) property in the [`notification`](/docs/esign-rest-api/reference/envelopes/envelopes/create/#definition__envelopedefinition_notification) object instead. |
expireDateTime | string | Optional | Not used. Use the [`expirations`](/docs/esign-rest-api/reference/envelopes/envelopes/create/#definition__envelopedefinition_notification_expirations) property in the [`notification`](/docs/esign-rest-api/reference/envelopes/envelopes/create/#definition__envelopedefinition_notification) object instead. |
expireEnabled | string | Optional | Not used. Use the [`expirations`](/docs/esign-rest-api/reference/envelopes/envelopes/create/#definition__envelopedefinition_notification_expirations) property in the [`notification`](/docs/esign-rest-api/reference/envelopes/envelopes/create/#definition__envelopedefinition_notification) object instead. |
externalEnvelopeId | string | Optional | May contain an external identifier for the envelope. |
folders | array | Optional | An array of folders that the envelope belongs to. |
folders[] | Model | Each item | Expand Creates an envelope — request body — body folders item |
hasComments | string | Optional | When **true,** indicates that users have added comments to the envelope. |
hasFormDataChanged | string | Optional | When **true,** indicates that the form data associated with the envelope has changed since it was sent. When **false,** this property does not appear in the response. |
hasWavFile | string | Optional | When **true,** indicates that a wave file (voice recording) is part of the envelope. |
holder | string | Optional | Reserved for Docusign. |
initialSentDateTime | string | Optional | The date and time that the envelope was first sent. |
is21CFRPart11 | string | Optional | When **true,** indicates compliance with United States Food and Drug Administration (FDA) regulations on electronic records and electronic signatures (ERES). |
isDynamicEnvelope | string | Optional | When **true,** indicates that the envelope is a dynamic envelope. |
isSignatureProviderEnvelope | string | Optional | When **true,** indicates that the envelope is a signature-provided envelope. |
isTicketRelatedEnvelope | string | Optional | |
lastModifiedDateTime | string | Optional | The date and time that the item was last modified. |
location | string | Optional | Reserved for Docusign. |
lockInformation | Model | Optional | Expand Locks an envelope — response body Provides lock information about an envelope that a user has locked. |
messageLock | string | Optional | When **true,** prevents senders from changing the contents of `emailBlurb` and `emailSubject` properties for the envelope. Additionally, this prevents users from making changes to the contents of `emailBlurb` and `emailSubject` properties when correcting envelopes. However, if the `messageLock` node is set to **true** and the `emailSubject` property is empty, senders and correctors are able to add a subject to the envelope. |
notification | Model | Optional | Expand Gets envelope notification information — response body An optional complex element that specifies the notification options for the envelope. |
notificationUri | string | Optional | The URI for retrieving notifications. |
password | string | Optional | The user's password. This property is used only when adding a new user via a [Users: create](/docs/esign-rest-api/reference/users/users/create/) request. The value must conform to the password rules defined in the account [Security Settings](https://apps-d.docusign.com/admin/authenticate?goTo=securityInfo). This property is not returned by `GET` requests and cannot be updated via `PUT` requests. |
powerForm | Model | Optional | Expand Creates a new Power Form — request body — body Information about any PowerForms that are included in the envelope. |
purgeCompletedDate | string | Optional | The date that a purge was completed. |
purgeRequestDate | string | Optional | The date that a purge was requested. |
purgeState | string | Optional | Initiates a purge request. Valid values are: - `documents_queued`: Places envelope documents in the purge queue. - `documents_and_metadata_queued`: Places envelope documents and metadata in the purge queue. - `documents_and_metadata_and_redact_queued`: Places envelope documents and metadata in the purge queue and redacts personal information. **Related topics** - [Purging documents (eSingature Concepts)](/docs/esign-rest-api/esign101/concepts/documents/purging/) - [Purging documents in an envelope (blog post)](https://www.docusign.com/blog/developers/purging-documents-envelope) |
recipientViewRequest | Model | Optional | Expand Returns a URL to the shared recipient view UI for an envelope — request body — body |
recipients | Model | Optional | Expand Deletes recipients from an envelope — request body — body Specifies the envelope recipients. |
recipientsLock | string | Optional | When **true,** prevents senders from changing, correcting, or deleting the recipient information for the envelope. |
recipientsUri | string | Optional | Contains a URI for an endpoint that you can use to retrieve the recipients. |
sender | Model | Optional | Expand Gets a specific template associated with a specified account — response body — owner Information about the sender of the envelope. |
sentDateTime | string | Optional | The UTC DateTime when the envelope was sent. This property is read-only. |
signerCanSignOnMobile | string | Optional | When **true,** recipients can sign on a mobile device. **Note:** Only Admin users can change this setting. |
signingLocation | string | Optional | Specifies the physical location where the signing takes place. It can have two enumeration values; `inPerson` and `online`. The default value is `online`. |
status | string | Optional | Indicates the envelope status. Valid values when creating an envelope are: * `created`: The envelope is created as a draft. It can be modified and sent later. * `sent`: The envelope will be sent to the recipients after the envelope is created. You can query these additional statuses once the recipients have interacted with the envelope. * `completed`: The recipients have finished working with the envelope: the documents are signed and all required tabs are filled in. * `declined`: The envelope has been declined by the recipients. * `delivered`: The envelope has been delivered to the recipients. * `signed`: The envelope has been signed by the recipients. * `voided`: The envelope is no longer valid and recipients cannot access or sign the envelope. |
statusChangedDateTime | string | Optional | The data and time that the status changed. |
templateId | string | Optional | The ID of the template. If a value is not provided, Docusign generates a value. |
templateRoles | array | Optional | This object specifies the template recipients. Each `roleName` in the template must have a recipient assigned to it. This object is comprised of the following elements: * `email`: The recipient's email address. * `name`: The recipient's name. * `roleName`: The template roleName associated with the recipient. * `clientUserId`: An optional property that specifies whether the recipient is embedded or remote. If the `clientUserId` is not null, then the recipient is embedded. Note that if a `clientUserId` is used and the account settings `signerMustHaveAccount` or `signerMustLoginToSign` are **true,** an error is generated on sending. * `defaultRecipient`: Optional, When **true,** this recipient is the default recipient and any tabs generated by the `transformPdfFields` option are mapped to this recipient. * `routingOrder`: This specifies the routing order of the recipient in the envelope. * `accessCode`: This optional element specifies the access code a recipient has to enter to validate the identity. Maximum Length: 50 characters. * `inPersonSignerName`: Optional. If the template role is an in-person signer, this is the full legal name of the signer. Maximum Length: 100 characters. * `emailNotification`: This is an optional complex element that has a role-specific `emailSubject`, `emailBody`, and `language`. It follows the same format as the `emailNotification` property for recipients. * `tabs`: This property enables the tab values to be specified for matching to tabs in the template. |
templateRoles[] | Model | Each item | Expand Creates an envelope — request body — body template Roles item |
templatesUri | string | Optional | The URI for retrieving any templates associated with the envelope. |
transactionId | string | Optional | Used to identify an envelope. The ID is a sender-generated value and is valid in the Docusign system for 7 days. Docusign recommends that you use a transaction ID for offline signing to ensure that an envelope is not sent multiple times. You can use the `transactionId` property to determine an envelope's status (i.e. was it created or not) in cases where the Internet connection was lost before the envelope status was returned. |
uSigState | string | Optional | |
useDisclosure | string | Optional | When **true,** the disclosure is shown to recipients in accordance with the account's Electronic Record and Signature Disclosure frequency setting. When **false,** the Electronic Record and Signature Disclosure is not shown to any envelope recipients. If the `useDisclosure` property is not set, then the account's normal disclosure setting is used and the value of the `useDisclosure` property is not returned in responses when getting envelope information. |
voidedDateTime | string | Optional | The date and time the envelope or template was voided. |
voidedReason | string | Optional | The reason the envelope or template was voided. **Note:** The string is truncated to the first 200 characters. |
workflow | Model | Optional | Expand Returns the workflow definition for a template — response body Describes the workflow for this envelope. |
Referenced models: Gets a list of custom fields — response body, Locks an envelope — response body, Updates an envelope attachment in a draft or in-process envelope — request body — body, Adds email setting overrides to an envelope — response body, Gets the status of a single envelope — response body — envelope Custom Metadata, Updates a template document — response body, Gets the status of a single envelope — response body — envelope Metadata, Gets envelope notification information — response body, Gets a specific template associated with a specified account — response body — owner, Returns the workflow definition for a template — response body, Deletes recipients from an envelope — request body — body, Creates an envelope — request body — body composite Templates item, Creates an envelope — request body — body documents item, Creates an envelope — request body — body event Notification, Creates an envelope — request body — body folders item, Creates a new Power Form — request body — body, Returns a URL to the shared recipient view UI for an envelope — request body — body, Creates an envelope — request body — body template Roles item
Creates an envelope — request body — body composite Templates item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | This object contains information about a [composite template][composite], which you can use to to apply multiple templates to a single envelope, combine templates with PDF forms, and combine templates with documents from cloud sources. [composite]: /docs/esign-rest-api/esign101/concepts/templates/composite/ |
compositeTemplateId | string | Optional | The ID of this composite template. This ID is used as a reference when adding document object information. If used, the document's `content-disposition` must include the composite template ID to which the document should be added. If a composite template ID is not specified in the content-disposition, the document is applied based on the value of the `documentId` property only. If no document object is specified, the composite template inherits the first document. |
document | Model | Optional | Expand Creates an envelope — request body — body documents item An optional document object that will act as the primary document in the composite template object. If the document node is present, it will take precedence over any server template or inline template documents. It always comes first. Only use this when you want to supply the document dynamically. |
inlineTemplates | array | Optional | Zero or more inline templates and their position in the overlay. If supplied, they are overlaid into the envelope in the order of their Sequence value. |
inlineTemplates[] | Model | Each item | Expand Creates an envelope — request body — body composite Templates item inline Templates item |
pdfMetaDataTemplateSequence | string | Optional | A number representing the sequence in which to apply the template that contains the PDF metadata. Example: `4` |
serverTemplates | array | Optional | Zero or more server-side templates and their position in the overlay. If supplied, they are overlaid into the envelope in the order of their Sequence value. |
serverTemplates[] | Model | Each item | Expand Creates an envelope — request body — body composite Templates item server Templates item |
Referenced models: Creates an envelope — request body — body documents item, Creates an envelope — request body — body composite Templates item inline Templates item, Creates an envelope — request body — body composite Templates item server Templates item
Creates an envelope — request body — body composite Templates item inline Templates item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
customFields | Model | Optional | Expand Gets a list of custom fields — response body An optional array of strings that enables the sender to provide custom data about the recipient. This information is returned in the envelope status but otherwise not used by Docusign. Each `customField` string can be a maximum of 100 characters. |
documents | array | Optional | A complex element that contains details about the documents associated with the envelope. |
documents[] | Model | Each item | Expand Creates an envelope — request body — body documents item |
envelope | Model | Optional | Expand Send, void, or modify a draft envelope Purge documents from a completed envelope — request body — body A container used to send documents to recipients. The envelope carries information about the sender and timestamps to indicate the progress of the delivery procedure. It can contain collections of Documents, Tabs and Recipients. |
recipients | Model | Optional | Expand Deletes recipients from an envelope — request body — body An array of recipient objects that provides details about the recipients of the envelope. |
sequence | string | Optional | Specifies the order in which templates are overlaid. |
Referenced models: Gets a list of custom fields — response body, Deletes recipients from an envelope — request body — body, Creates an envelope — request body — body documents item, Send, void, or modify a draft envelope Purge documents from a completed envelope — request body — body
Creates an envelope — request body — body composite Templates item server Templates item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
sequence | string | Optional | Specifies the order in which templates are overlaid. |
templateId | string | Optional | The unique identifier of the template. If this is not provided, Docusign will generate a value. |
Creates an envelope — request body — body documents item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A document object. |
applyAnchorTabs | string | Optional | Reserved for Docusign. |
assignTabsToRecipientId | string | Optional | |
authoritativeCopy | boolean | Optional | When **true,** this document is considered an authoritative copy. If this property is not set, it gets its value from the envelope's `authoritativeCopyDefault` property if it's set, or the envelope's `authoritativeCopy` property. When **false,** this document is not an authoritative copy regardless of the envelope's `authoritativeCopyDefault` or `authoritativeCopy` property. |
display | string | Optional | This string sets the display and behavior properties of the document during signing. Valid values: * `modal`<br> The document is shown as a supplement action strip and can be viewed, downloaded, or printed in a modal window. This is the recommended value for supplemental documents. * `inline`<br> The document is shown in the normal signing window. This value is not used with supplemental documents, but is the default value for all other documents. |
docGenDocumentStatus | string | Optional | |
docGenFormFields | array | Optional | |
docGenFormFields[] | Model | Each item | Expand Updates a template document — response body — doc Gen Form Fields item |
documentBase64 | string | Optional | The document's bytes. This field can be used to include a base64 version of the document bytes within an envelope definition instead of sending the document using a multi-part HTTP request. The maximum document size is smaller if this field is used due to the overhead of the base64 encoding. |
documentFields | array | Optional | The array of name/value custom data strings to be added to a document. Custom document field information is returned in the status, but otherwise is not used by Docusign. The array contains the elements: * `name`: A string that can be a maximum of 50 characters. * `value`: A string that can be a maximum of 200 characters. If you are using XML, the name/value pair is contained in a `nameValue` element. |
documentFields[] | Model | Each item | Expand Updates an existing brand — response body — colors item |
documentId | string | Optional | Specifies the document ID of this document. This value is used by tabs to determine which document they appear in. |
documentTemplateId | string | Optional | |
encryptedWithKeyManager | string | Optional | When **true,** the document has been encrypted by the sender for use with the Docusign Key Manager Security Appliance. |
fileExtension | string | Optional | The file extension type of the document. Non-PDF documents are converted to PDF. If the document is not a PDF, `fileExtension` is required. If you try to upload a non-PDF document without a `fileExtension`, you will receive an "unable to load document" error message. |
fileFormatHint | string | Optional | |
htmlDefinition | Model | Optional | Expand Creates a preview of the responsive version of a document — request body — body Defines how to generate the responsive-formatted HTML for the document. See [Responsive signing](/docs/esign-rest-api/esign101/concepts/responsive/) in the [eSignature concepts guide](/docs/esign-rest-api/esign101/concepts/). |
includeInDownload | string | Optional | When **true,** the document is included in the combined document download (`documentsCombinedUri`). This is only applied to [supplemental documents](/docs/esign-rest-api/esign101/concepts/documents/supplemental/). The default value is **true.** |
isDocGenDocument | string | Optional | |
matchBoxes | array | Optional | Matchboxes define areas in a document for document matching when you are creating envelopes. They are only used when you upload and edit a template. |
matchBoxes[] | Model | Each item | Expand Gets a specific template associated with a specified account — response body — documents item match Boxes item |
name | string | Optional | The name of the document. |
order | string | Optional | The order in which to sort the results. Valid values are: * `asc`: Ascending order. * `desc`: Descending order. |
pages | string | Optional | The number of pages in the document. This property is read-only. |
password | string | Optional | The user's password. This property is used only when adding a new user via a [Users: create](/docs/esign-rest-api/reference/users/users/create/) request. The value must conform to the password rules defined in the account [Security Settings](https://apps-d.docusign.com/admin/authenticate?goTo=securityInfo). This property is not returned by `GET` requests and cannot be updated via `PUT` requests. |
pdfFormFieldOption | string | Optional | |
remoteUrl | string | Optional | The file ID from the cloud storage service where the document is located. This information is returned using [CloudStorage: listFolders](/docs/esign-rest-api/reference/cloudstorage/cloudstorage/listfolders/) or [CloudStorage: list](/docs/esign-rest-api/reference/cloudstorage/cloudstorage/list/). |
signerMustAcknowledge | string | Optional | Sets how the signer interacts with the supplemental document. Valid values: * `no_interaction`<br> No recipient action is required. * `view`<br> The recipient is required to view the document. * `accept`<br> The recipient is required to accept the document by selecting accept during signing, but is not required to view the document. * `view_accept`<br> The recipient is required to view and accept the document. |
signerMustAcknowledgeUseAccountDefault | boolean | Optional | When **true,** the account default setting for the required recipient option is used. If this property is set, `signerMustAcknowledge` cannot be set (and vice versa). |
tabs | Model | Optional | Expand Adds tabs for a recipient — esignature esignature Recipients Post Recipient Tabs — request body — body A list of tabs, which are represented graphically as symbols on documents at the time of signing. Tabs show recipients where to sign, initial, or enter data. They may also display data to the recipients. |
templateLocked | string | Optional | When **true,** the sender cannot change any attributes of the recipient. Used only when working with template recipients. |
templateRequired | string | Optional | When **true,** the sender may not remove the recipient. Used only when working with template recipients. |
transformPdfFields | string | Optional | When **true,** PDF form field data is transformed into document tab values when the PDF form field name matches the Docusign custom tab tabLabel. The resulting PDF form data is also returned in the PDF meta data when requesting the document PDF. |
uri | string | Optional | A URI containing the user ID. |
Referenced models: Updates a template document — response body — doc Gen Form Fields item, Gets a specific template associated with a specified account — response body — documents item match Boxes item, Updates an existing brand — response body — colors item, Adds tabs for a recipient — esignature esignature Recipients Post Recipient Tabs — request body — body, Creates a preview of the responsive version of a document — request body — body
Creates an envelope — request body — body event Notification
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Use this object to configure a [Docusign Connect webhook](/platform/webhooks/connect/). |
deliveryMode | string | Optional | |
envelopeEvents | array | Optional | A list of envelope-level event statuses that will trigger Connect to send updates to the endpoint specified in the `url` property. To receive notifications, you must include either an `envelopeEvents` node or a `recipientEvents` node. You do not need to specify both. |
envelopeEvents[] | Model | Each item | Expand Creates an envelope — request body — body event Notification envelope Events item |
eventData | Model | Optional | Expand Creates a Connect configuration — response body — event Data Allows you to specify the format of the information the Connect webhooks returns. |
events | array | Optional | A comma-separated list of envelope-level event statuses that will trigger Connect to send updates to the endpoint specified in the `urlToPublishTo` property. Set this property when you are using the [JSON SIM event model](/platform/webhooks/connect/json-sim-event-model/). If you are instead using any of [the legacy event message formats](/platform/webhooks/connect/legacy-message-formats/), set either the `envelopeEvents` property or the `recipientEvents` property. The [possible event statuses](/platform/webhooks/connect/json-sim-event-reference/) are: * `envelope-created` * `envelope-sent` * `envelope-resent` * `envelope-delivered` * `envelope-completed` * `envelope-declined` * `envelope-voided` * `recipient-authenticationfailed` * `recipient-autoresponded` * `recipient-declined` * `recipient-delivered` * `recipient-completed` * `recipient-sent` * `recipient-resent` * `template-created` * `template-modified` * `template-deleted` * `envelope-corrected` * `envelope-purge` * `envelope-deleted` * `envelope-discard` * `recipient-reassign` * `recipient-delegate` * `recipient-finish-later` * `click-agreed` * `click-declined` |
events[] | string | Each item | |
includeCertificateOfCompletion | string | Optional | When **true,** the Connect Service includes the Certificate of Completion with completed envelopes. |
includeCertificateWithSoap | string | Optional | When **true,** the Connect service will digitally sign the data. The signature will be included in the message. |
includeDocumentFields | string | Optional | When **true,** the Document Fields associated with the envelope's documents are included in the notification messages. Document Fields are optional custom name-value pairs added to documents using the API. |
includeDocuments | string | Optional | When **true,** the Connect webhook messages will include the envelope's PDF documents. Including the PDF documents greatly increases the size of the notification messages. Ensure that your listener can handle incoming messages that are 25MB or larger. |
includeEnvelopeVoidReason | string | Optional | When **true,** this tells the Connect Service to include the void reason, as entered by the person that voided the envelope, in the message. |
includeHMAC | string | Optional | When **true,** HMAC headers will be included with the webhook notifications. **Note:** [HMAC must enabled](/platform/webhooks/connect/hmac/) at the account level with [one or more HMAC secrets](/platform/webhooks/connect/setting-up-hmac/). |
includeOAuth | string | Optional | |
includeSenderAccountAsCustomField | string | Optional | When **true,** Connect will include the sender account as Custom Field in the data. |
includeTimeZone | string | Optional | When **true,** the envelope's time zone information is included in the webhook messages. |
integratorManaged | string | Optional | |
loggingEnabled | string | Optional | When **true,** the webhook messages are logged. They can be viewed on the Docusign Administration Web Tool in the Connect section. Logged messages can also be downloaded via the [ConnectEvents resource](/docs/esign-rest-api/reference/connect/connectevents/). |
recipientEvents | array | Optional | A list of recipient event statuses that will trigger Connect to send updates to the endpoint specified in the URL property. To receive notifications, you must include either an `envelopeEvents` node or a `recipientEvents` node. You do not need to specify both. |
recipientEvents[] | Model | Each item | Expand Creates an envelope — request body — body event Notification recipient Events item |
requireAcknowledgment | string | Optional | When **true,** the Docusign Connect service checks that the message was received and retries on failures. |
signMessageWithX509Cert | string | Optional | When **true,** Mutual TLS will be enabled for notifications. Mutual TLS must be initiated by the listener (the customer's web server) during the TLS handshake protocol. |
soapNameSpace | string | Optional | The namespace of the SOAP interface. The namespace value must be set if useSoapInterface is set to true. |
url | string | Optional | The endpoint to which Connect should send webhook notification messages via an HTTPS POST request. The URL must start with `https`. The customer's web server must use an SSL/TLS certificate whose CA is in the Microsoft list of trusted CAs. Self-signed certificates are not acceptable, but you can use free certificates from Let's Encrypt. The maximum length of this property is 4096 bytes. |
useSoapInterface | string | Optional | When **true,** this tells the Connect service that the user's endpoint has implemented a SOAP interface. |
Referenced models: Creates a Connect configuration — response body — event Data, Creates an envelope — request body — body event Notification envelope Events item, Creates an envelope — request body — body event Notification recipient Events item
Creates an envelope — request body — body event Notification envelope Events item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | For which envelope events should your webhook be called? |
envelopeEventStatusCode | string | Optional | An envelope status for which your webhook should be called. Valid values: * `Sent` * `Delivered` * `Completed` * `Declined` * `Voided` |
includeDocuments | string | Optional | When **true,** the Connect webhook messages will include the envelope's PDF documents. Including the PDF documents greatly increases the size of the notification messages. Ensure that your listener can handle incoming messages that are 25MB or larger. |
Creates an envelope — request body — body event Notification recipient Events item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
includeDocuments | string | Optional | When **true,** the Connect webhook messages will include the envelope's PDF documents. Including the PDF documents greatly increases the size of the notification messages. Ensure that your listener can handle incoming messages that are 25MB or larger. |
recipientEventStatusCode | string | Optional | Send a webhook notification for the following recipient statuses: Sent, Delivered, Completed, Declined, AuthenticationFailed, and AutoResponded. |
Creates an envelope — request body — body folders item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | This object contains details about a folder. |
errorDetails | Model | Optional | Expand Locks a template — response body — error Details This object describes errors that occur. It is only valid for responses and ignored in requests. |
filter | Model | Optional | Expand Gets the list of templates — response body — folders item filter An object used to present a filtered view of the items in a folder. |
folderId | string | Optional | The ID of the folder. |
folderItems | array | Optional | A list of envelopes and templates that the folder contains. |
folderItems[] | Model | Each item | Expand Creates an envelope — request body — body folders item folder Items item |
folders | array | Optional | A collection of folder objects returned in a response. |
folders[] | Model | Each item | Expand Creates an envelope — request body — body folders item |
hasAccess | string | Optional | When **true,** the current user has access to the folder. |
hasSubFolders | string | Optional | When **true,** the folder has subfolders. |
itemCount | string | Optional | The number of items in the folder. |
name | string | Optional | The name of the folder. |
owner | Model | Optional | Expand Gets a specific template associated with a specified account — response body — owner Information about the user who owns the folder. |
parentFolderId | string | Optional | The ID of the parent folder, or the special value `root` for the root folder. |
parentFolderUri | string | Optional | The URI of the parent folder. |
subFolderCount | string | Optional | The number of subfolders. |
type | string | Optional | The type of folder. Possible values include: - `draft` - `inbox` - `normal` (a system-generated folder) - `recyclebin` - `sentitems` - `custom` (a custom folder created by a user) |
uri | string | Optional | The URI for the folder. |
Referenced models: Locks a template — response body — error Details, Gets the list of templates — response body — folders item filter, Gets a specific template associated with a specified account — response body — owner, Creates an envelope — request body — body folders item, Creates an envelope — request body — body folders item folder Items item
Creates an envelope — request body — body folders item folder Items item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Information about folder item results. |
completedDateTime | string | Optional | If the item is an envelope, this is the UTC DateTime when the envelope was completed. |
createdDateTime | string | Optional | The UTC DateTime when the item was created. |
envelopeId | string | Optional | If the item is an envelope, this is the ID of the envelope. |
envelopeUri | string | Optional | If the item is an envelope, this is the URI for retrieving it. |
expireDateTime | string | Optional | The date and time the envelope is set to expire. |
folderId | string | Optional | The ID of the folder. |
folderUri | string | Optional | If the item is a subfolder, this is the URI for retrieving it. |
is21CFRPart11 | string | Optional | When **true,** indicates compliance with United States Food and Drug Administration (FDA) regulations on electronic records and electronic signatures (ERES). |
lastModifiedDateTime | string | Optional | The date and time that the item was last modified. |
ownerName | string | Optional | The name of the user who owns the folder. |
recipients | Model | Optional | Expand Deletes recipients from an envelope — request body — body An array of recipient objects that provides details about the recipients of the envelope. |
recipientsUri | string | Optional | Contains a URI for an endpoint that you can use to retrieve the recipients. |
senderCompany | string | Optional | The name of the sender's company. |
senderEmail | string | Optional | The sender's email address. |
senderName | string | Optional | The sender's name. |
senderUserId | string | Optional | The sender's id. |
sentDateTime | string | Optional | The UTC DateTime when the envelope was sent. This property is read-only. |
status | string | Optional | Indicates the envelope status. Valid values are: * sent - The envelope is sent to the recipients. * created - The envelope is saved as a draft and can be modified and sent later. |
subject | string | Optional | The subject of the envelope. |
templateId | string | Optional | The unique identifier of the template. If this is not provided, Docusign will generate a value. |
templateUri | string | Optional | The URI for retrieving the template. |
Referenced models: Deletes recipients from an envelope — request body — body
Creates an envelope — request body — body template Roles item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Information about a specific role. |
accessCode | string | Optional | If a value is provided, the recipient must enter the value as the access code to view and sign the envelope. Maximum Length: 50 characters and it must conform to the account's access code format setting. If blank, but the signer `accessCode` property is set in the envelope, then that value is used. If blank and the signer `accessCode` property is not set, then the access code is not required. |
additionalNotifications | array | Optional | An array of additional notification objects. |
additionalNotifications[] | Model | Each item | Expand Deletes recipients from a template — response body — agents item additional Notifications item |
clientUserId | string | Optional | Specifies whether the recipient is embedded or remote. If the `clientUserId` property is not null then the recipient is embedded. Use this field to associate the signer with their userId in your app. Authenticating the user is the responsibility of your app when you use embedded signing. If the `clientUserId` property is set and either `SignerMustHaveAccount` or `SignerMustLoginToSign` property of the account settings is set to **true,** an error is generated on sending. **Note:** This property is not returned by the [listStatusChanges](/docs/esign-rest-api/reference/envelopes/envelopes/liststatuschanges/) endpoint. Maximum length: 100 characters. |
defaultRecipient | string | Optional | When **true,** this recipient is the default recipient and any tabs generated by the `transformPdfFields` option are mapped to this recipient. |
deliveryMethod | string | Optional | The delivery method. One of: - `email` - `fax` - `SMS` - `WhatsApp` - `offline` The `SMS` and `WhatsApp` delivery methods are limited to `signer`, `carbonCopy`, and `certifiedDelivery` recipients. **Related topics** - [Using SMS delivery with the eSignature API][smsconcept] - [How to request a signature by SMS or WhatsApp delivery][howto] [smsconcept]: /docs/esign-rest-api/esign101/concepts/sms-delivery/using-sms-esignature/ [howto]: /docs/esign-rest-api/how-to/request-signature-sms-whatsapp/ |
email | string | Optional | The email address of the person associated with a role name. It is the email address of the person specified in the `name` property. For an in-person signer, this is the email address of the host. |
emailNotification | Model | Optional | Expand Deletes recipients from a template — response body — seals item email Notification This optional property allows you to set a specific email subject and body for this recipient's notification email. **Note:** If you use this property, you _must_ provide a value for the `supportedLanguage` sub-property. You can set the `emailNotification` property separately for each recipient. If you set the value only for certain recipients, the other recipients are assigned the values from the top-level `emailSubject` and `emailBlurb`. |
embeddedRecipientStartURL | string | Optional | Specifies a sender-provided valid URL string for redirecting an embedded recipient. When using this option, the embedded recipient still receives an email from Docusign, just as a remote recipient would. When the document link in the email is clicked the recipient is redirected, through Docusign, to the supplied URL to complete their actions. When routing to the URL, the sender's system (the server responding to the URL) must request a recipient token to launch a signing session. When `SIGN_AT_DOCUSIGN`, the recipient is directed to an embedded signing or viewing process directly at Docusign. The signing or viewing action is initiated by the Docusign system and the transaction activity and Certificate of Completion records will reflect this. In all other ways the process is identical to an embedded signing or viewing operation launched by a partner. It is important to understand that in a typical embedded workflow, the authentication of an embedded recipient is the responsibility of the sending application. Docusign expects that senders will follow their own processes for establishing the recipient's identity. In this workflow the recipient goes through the sending application before the embedded signing or viewing process is initiated. However, when the sending application sets `EmbeddedRecipientStartURL=SIGN_AT_DOCUSIGN`, the recipient goes directly to the embedded signing or viewing process, bypassing the sending application and any authentication steps the sending application would use. In this case, Docusign recommends that you use one of the normal Docusign authentication features (Access Code, Phone Authentication, SMS Authentication, etc.) to verify the identity of the recipient. If the `clientUserId` property is NOT set, and the `embeddedRecipientStartURL` is set, Docusign will ignore the redirect URL and launch the standard signing process for the email recipient. Information can be appended to the embedded recipient start URL using merge fields. The available merge fields items are: `envelopeId`, `recipientId`, `recipientName`, `recipientEmail`, and `customFields`. The `customFields` property must be set for the recipient or envelope. The merge fields are enclosed in double brackets. *Example*: `http://senderHost/[[mergeField1]]/ beginSigningSession? [[mergeField2]]&[[mergeField3]]` |
inPersonSignerName | string | Optional | The full legal name of the in-person signer. Maximum Length: 100 characters. |
name | string | Optional | Specifies the recipient's name. For an in-person signer, this is the name of the host. |
phoneNumber | Model | Optional | Expand Deletes recipients from a template — response body — agents item phone Number Describes the recipient phone number. |
recipientSignatureProviders | array | Optional | The default signature provider is the Docusign Electronic signature system. This parameter is used to specify one or more Standards Based Signature (digital signature) providers for the signer to use. [More information.](/docs/esign-rest-api/esign101/concepts/standards-based-signatures/) |
recipientSignatureProviders[] | Model | Each item | Expand Deletes recipients from a template — response body — seals item recipient Signature Providers item |
roleName | string | Optional | Optional element. Specifies the role name associated with the recipient.<br/><br/>This property is required when you are working with template recipients. |
routingOrder | string | Optional | Specifies the routing order of the recipient in the envelope. |
signingGroupId | string | Optional | The ID of the [signing group](https://support.docusign.com/s/document-item?bundleId=gav1643676262430&topicId=zgn1578456447934.html). |
signingGroupName | string | Optional | Optional. The name of the signing group. Maximum Length: 100 characters. |
signingGroupType | string | Optional | |
signingGroupUsers | array | Optional | A complex type that contains information about users in the signing group. |
signingGroupUsers[] | Model | Each item | Expand Gets a specific template associated with a specified account — response body — owner |
tabs | Model | Optional | Expand Adds tabs for a recipient — esignature esignature Recipients Post Recipient Tabs — request body — body A list of tabs, which are represented graphically as symbols on documents at the time of signing. Tabs show recipients where to sign, initial, or enter data. They may also display data to the recipients. |
Referenced models: Deletes recipients from a template — response body — agents item additional Notifications item, Deletes recipients from a template — response body — seals item email Notification, Deletes recipients from a template — response body — agents item phone Number, Deletes recipients from a template — response body — seals item recipient Signature Providers item, Gets a specific template associated with a specified account — response body — owner, Adds tabs for a recipient — esignature esignature Recipients Post Recipient Tabs — request body — body
Creates an envelope — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | This object describes an envelope. |
bulkEnvelopeStatus | Model | Optional | Expand Creates an envelope — response body — bulk Envelope Status An object that describes the status of the bulk send envelopes. |
envelopeId | string | Optional | The envelope ID of the envelope status that failed to post. |
errorDetails | Model | Optional | Expand Locks a template — response body — error Details This object describes errors that occur. It is only valid for responses and ignored in requests. |
recipientSigningUri | string | Optional | |
recipientSigningUriError | string | Optional | |
status | string | Optional | Indicates the envelope status. Valid values are: * `completed`: The recipients have finished working with the envelope: the documents are signed and all required tabs are filled in. * `created`: The envelope is created as a draft. It can be modified and sent later. * `declined`: The envelope has been declined by the recipients. * `delivered`: The envelope has been delivered to the recipients. * `sent`: The envelope will be sent to the recipients after the envelope is created. * `signed`: The envelope has been signed by the recipients. * `voided`: The envelope is no longer valid and recipients cannot access or sign the envelope. |
statusDateTime | string | Optional | The DateTime that the envelope changed status (i.e. was created or sent.) |
uri | string | Optional | A URI containing the user ID. |
Referenced models: Creates an envelope — response body — bulk Envelope Status, Locks a template — response body — error Details
Creates an envelope — response body — bulk Envelope Status
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
batchId | string | Optional | Specifies an identifier which can be used to retrieve a more detailed status of individual bulk recipient batches. |
batchSize | string | Optional | The number of items returned in this response. |
bulkEnvelopes | array | Optional | A list of bulk envelope objects. |
bulkEnvelopes[] | Model | Each item | Expand Creates an envelope — response body — bulk Envelope Status bulk Envelopes item |
bulkEnvelopesBatchUri | string | Optional | URI at which you can retrieve the batch envelopes. |
endPosition | string | Optional | The last index position in the result set. |
failed | string | Optional | The number of entries with a status of failed. |
nextUri | string | Optional | The URI for the next chunk of records based on the search request. It is `null` if this is the last set of results for the search. |
previousUri | string | Optional | The URI for the prior chunk of records based on the search request. It is `null` if this is the first set of results for the search. |
queued | string | Optional | The number of entries with a status of queued. |
resultSetSize | string | Optional | The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the `totalSetSize`. |
sent | string | Optional | The number of entries with a status of sent. |
startPosition | string | Optional | The starting index position of the current result set. |
submittedDate | string | Optional | The date on which the bulk envelope was created. |
totalSetSize | string | Optional | The total number of items in the result set. This value is always greater than or equal to the value of `resultSetSize`. |
Referenced models: Creates an envelope — response body — bulk Envelope Status bulk Envelopes item
Creates an envelope — response body — bulk Envelope Status bulk Envelopes item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
bulkRecipientRow | string | Optional | The row of the recipient in the CSV file used to create the bulk recipient list. |
bulkStatus | string | Optional | Indicates the status of the bulk send operation. Returned values can be: - `queued` - `processing` - `sent` - `failed` |
email | string | Optional | The email address of the recipient assigned to this envelope transaction. |
envelopeId | string | Optional | GUID of the bulk envelope. |
envelopeUri | string | Optional | The URI for retrieving the envelope or envelopes. |
errorDetails | Model | Optional | Expand Locks a template — response body — error Details This object describes errors that occur. It is only valid for responses and ignored in requests. |
name | string | Optional | The name of the recipient assigned to this envelope transaction. |
submittedDateTime | string | Optional | The date and time on which the bulk envelope was created. |
transactionId | string | Optional | Identifier for the envelope transaction. The ID is a sender-generated value and is valid in the Docusign system for 7 days. Docusign recommends that you use a transaction ID for offline signing to ensure that an envelope is not sent multiple times. You can use the transaction ID to determine an envelope's status (queued, processing, sent, or failed) in cases where the Internet connection is lost before envelope status is returned. |
Referenced models: Locks a template — response body — error Details
Creates custom document fields in an existing envelope document — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Envelope document fields |
documentFields | array | Optional | The array of name/value custom data strings to be added to a document. Custom document field information is returned in the status, but otherwise is not used by Docusign. The array contains the elements: * name - A string that can be a maximum of 50 characters. * value - A string that can be a maximum of 200 characters. *IMPORTANT*: If you are using xml, the name/value pair is contained in a nameValue element. |
documentFields[] | Model | Each item | Expand Updates an existing brand — response body — colors item |
Referenced models: Updates an existing brand — response body — colors item
Creates one or more templates — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Summary of a template request. |
applied | string | Optional | Reserved for Docusign. |
documentId | string | Optional | Specifies the document ID number that the tab is placed on. This must refer to an existing document's ID attribute. |
documentName | string | Optional | The name of the document. |
errorDetails | Model | Optional | Expand Locks a template — response body — error Details This object describes errors that occur. It is only valid for responses and ignored in requests. |
name | string | Optional | The name of the template. |
templateId | string | Optional | The unique identifier of the template. If this is not provided, Docusign will generate a value. |
templateMatch | Model | Optional | Expand Creates one or more templates — response body — template Match |
uri | string | Optional | A URI containing the user ID. |
Referenced models: Locks a template — response body — error Details, Creates one or more templates — response body — template Match
Creates one or more templates — response body — template Match
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
documentEndPage | string | Optional | |
documentStartPage | string | Optional | |
matchPercentage | string | Optional |
Delete multiple user authorizations — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
authorizations | array | Optional | |
authorizations[] | string | Each item |
Delete multiple user authorizations — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
results | array | Optional | |
results[] | Model | Each item | Expand Delete multiple user authorizations — response body — results item |
Referenced models: Delete multiple user authorizations — response body — results item
Delete multiple user authorizations — response body — results item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
authorizationId | string | Optional | |
errorMessage | string | Optional | |
success | string | Optional |
Deletes a Connect failure log entry — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root |
Deletes a contact — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | This response objects shows the updated details for the contacts. |
contacts | array | Optional | A list of contacts. |
contacts[] | Model | Each item | Expand Deletes a contact — response body — contacts item |
Referenced models: Deletes a contact — response body — contacts item
Deletes a contact — response body — contacts item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
canManage | string | Optional | |
cloudProvider | string | Optional | The cloud service that provided the contact. Valid values are: - `rooms` - `docusignCore` (default) <!-- Future: - `Box` - `GoogleDrive` - `Dropbox` - `SalesForce` - `SkyDrive` --> |
cloudProviderContainerId | string | Optional | The ID of the container at the cloud provider. For example, this might be the room ID for a Docusign Transaction Room. |
contactId | string | Optional | The ID of a contact person in the account's address book. |
contactPhoneNumbers | array | Optional | A list of the contact's phone numbers. **Note:** The phone numbers associated with shared contacts do not display to users other than the user who added the contact. Additionally, in the following scenarios, the phone number of a shared contact does not populate automatically for anyone other than the user who added the contact: - Sending an envelope by using SMS - Using phone authentication You must ask the user who added the contact for the phone number and then manually enter it into the authentication box. |
contactPhoneNumbers[] | Model | Each item | Expand Deletes a contact — response body — contacts item contact Phone Numbers item |
contactUri | string | Optional | The URI for retrieving information about the contact. |
emails | array | Optional | An array of email addresses. |
emails[] | string | Each item | |
errorDetails | Model | Optional | Expand Locks a template — response body — error Details This object describes errors that occur. It is only valid for responses and ignored in requests. |
isOwner | boolean | Optional | |
name | string | Optional | The name of the contact. |
notaryContactDetails | Model | Optional | Expand Deletes a contact — response body — contacts item notary Contact Details |
organization | string | Optional | |
roomContactType | string | Optional | |
shared | string | Optional | When **true,** this contact is shared. |
signingGroup | string | Optional | The ID of the signing group. |
signingGroupName | string | Optional | Optional. The name of the signing group. Maximum Length: 100 characters. |
Referenced models: Deletes a contact — response body — contacts item contact Phone Numbers item, Locks a template — response body — error Details, Deletes a contact — response body — contacts item notary Contact Details
Deletes a contact — response body — contacts item contact Phone Numbers item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Details about the phone numbers associated with a specific contact. |
phoneNumber | string | Optional | The contact's phone number. Example: `+12223334444` |
phoneType | string | Optional | The type of phone number. Valid values are: - `home` - `mobile` - `work` - `other` - `fax` |
Deletes a contact — response body — contacts item notary Contact Details
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
hasDocusignCertificate | string | Optional | |
jurisdictions | array | Optional | |
jurisdictions[] | Model | Each item | Expand Deletes a contact — response body — contacts item notary Contact Details jurisdictions item |
Referenced models: Deletes a contact — response body — contacts item notary Contact Details jurisdictions item
Deletes a contact — response body — contacts item notary Contact Details jurisdictions item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
authorizedForIPen | string | Optional | |
authorizedForRon | string | Optional | |
jurisdictionId | string | Optional | The ID of the jurisdiction. The following jurisdictions are supported: - `5 - California` - `6 - Colorado` - `9 - Florida` - `10 - Georgia` - `12 - Idaho` - `13 - Illinois` - `14 - Indiana` - `15 - Iowa` - `17 - Kentucky` - `23 - Minnesota` - `25 - Missouri` - `30 - New Jersey` - `32 - New York` - `33 - North Carolina` - `35 - Ohio` - `37 - Oregon` - `38 - Pennsylvania` - `40 - South Carolina` - `43 - Texas` - `44 - Utah` - `47 - Washington` - `48 - West Virginia` - `49 - Wisconsin` - `62 - Florida Commissioner of Deeds` |
jurisdictionName | string | Optional |
Deletes a page from a document in an template — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
password | string | Optional | The user's password. This property is used only when adding a new user via a [Users: create](/docs/esign-rest-api/reference/users/users/create/) request. The value must conform to the password rules defined in the account [Security Settings](https://apps-d.docusign.com/admin/authenticate?goTo=securityInfo). This property is not returned by `GET` requests and cannot be updated via `PUT` requests. |
rotate | string | Optional | Sets the direction the page image is rotated. The possible settings are: left or right |
Deletes an existing user group — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | This object is used for both requests and responses. Some properties (such as `endPosition`) only apply to the response of [Groups: list](/docs/esign-rest-api/reference/usergroups/groups/list/). |
endPosition | string | Optional | The last index position in the result set. |
groups | array | Optional | A collection group objects containing information about the groups. |
groups[] | Model | Each item | Expand Deletes an existing user group — response body — groups item |
nextUri | string | Optional | The URI for the next chunk of records based on the search request. It is `null` if this is the last set of results for the search. |
previousUri | string | Optional | The URI for the prior chunk of records based on the search request. It is `null` if this is the first set of results for the search. |
resultSetSize | string | Optional | The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the `totalSetSize`. |
startPosition | string | Optional | The starting index position of the current result set. |
totalSetSize | string | Optional | The total number of items in the result set. This value is always greater than or equal to the value of `resultSetSize`. |
Referenced models: Deletes an existing user group — response body — groups item
Deletes an existing user group — response body — groups item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | This object contains information about a group. |
accessType | string | Optional | |
dsGroupId | string | Optional | Reserved for Docusign. |
errorDetails | Model | Optional | Expand Locks a template — response body — error Details This object describes errors that occur. It is only valid for responses and ignored in requests. |
groupId | string | Optional | The Docusign group ID for the group. This is a read-only property. |
groupName | string | Optional | The name of the group. |
groupType | string | Optional | The group type. |
isManagedByScim | boolean | Optional | |
lastModifiedOn | string | Optional | |
permissionProfileId | string | Optional | The ID of the permission profile associated with the group. Use [AccountPermissionProfiles: list](/docs/esign-rest-api/reference/accounts/accountpermissionprofiles/list/) to get a list of permission profiles and their IDs. |
userGroupType | string | Optional | |
users | array | Optional | A list of the users in the group. This property is not used by [Groups: list](/docs/esign-rest-api/reference/usergroups/groups/list/). To get a list of users see [GroupUsers: list](/docs/esign-rest-api/reference/usergroups/groupusers/list/) |
users[] | Model | Each item | Expand Gets a specific template associated with a specified account — response body — owner |
usersCount | string | Optional | The total number of users in the group. |
Referenced models: Locks a template — response body — error Details, Gets a specific template associated with a specified account — response body — owner
Deletes custom document fields from an existing template document — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
documentFields | array | Optional | The array of name/value custom data strings to be added to a document. Custom document field information is returned in the status, but otherwise is not used by Docusign. The array contains the elements: * `name`: A string that can be a maximum of 50 characters. * `value`: A string that can be a maximum of 200 characters. If you are using XML, the name/value pair is contained in a `nameValue` element. |
documentFields[] | Model | Each item | Expand Updates an existing brand — response body — colors item |
Referenced models: Updates an existing brand — response body — colors item
Deletes custom user settings for a specified user — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
customSettings | array | Optional | The name/value pair information for the user custom setting. |
customSettings[] | Model | Each item | Expand Updates an existing brand — response body — colors item |
Referenced models: Updates an existing brand — response body — colors item
Deletes documents from a draft envelope — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
envelopeDocuments | array | Optional | An array containing information about the documents that are included in the envelope. |
envelopeDocuments[] | Model | Each item | Expand Updates a template document — response body |
envelopeId | string | Optional | The envelope ID. |
Referenced models: Updates a template document — response body
Deletes documents from a template — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | The results of this method. |
templateDocuments | array | Optional | An array of document objects that contain information about the documents associated with the template. |
templateDocuments[] | Model | Each item | Expand Updates a template document — response body |
templateId | string | Optional | The unique identifier of the template. If this is not provided, Docusign will generate a value. |
Referenced models: Updates a template document — response body
Deletes envelope custom fields in a template — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Contains information about custom fields. |
listCustomFields | array | Optional | An array of list custom fields. |
listCustomFields[] | Model | Each item | Expand Gets a list of custom fields — response body — list Custom Fields item |
textCustomFields | array | Optional | An array of text custom fields. |
textCustomFields[] | Model | Each item | Expand Gets a list of custom fields — response body — text Custom Fields item |
Referenced models: Gets a list of custom fields — response body — list Custom Fields item, Gets a list of custom fields — response body — text Custom Fields item
Deletes files or sub-folders from a workspace — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | An array of objects that describe the items in a workspace. |
items | array | Optional | A list of workspace items. |
items[] | Model | Each item | Expand Creates a workspace file — response body |
Referenced models: Creates a workspace file — response body
Deletes one or more Power Forms — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
powerForms | array | Optional | An array of PowerForm objects. |
powerForms[] | Model | Each item | Expand Creates a new Power Form — request body — body |
Referenced models: Creates a new Power Form — request body — body
Deletes one or more envelope attachments from a draft envelope — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
attachments | array | Optional | An object that contains information about the attachment. |
attachments[] | Model | Each item | Expand Updates an envelope attachment in a draft or in-process envelope — request body — body |
Referenced models: Updates an envelope attachment in a draft or in-process envelope — request body — body
Deletes one or more envelope attachments from a draft envelope — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
attachments | array | Optional | An array of attachment objects that contain information about the attachments. |
attachments[] | Model | Each item | Expand Deletes one or more envelope attachments from a draft envelope — response body — attachments item |
Referenced models: Deletes one or more envelope attachments from a draft envelope — response body — attachments item
Deletes one or more envelope attachments from a draft envelope — response body — attachments item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
accessControl | string | Optional | Valid values are `sender` and `senderAndAllRecipients`. |
attachmentId | string | Optional | The unique identifier for the attachment. |
attachmentType | string | Optional | Specifies the type of the attachment for the recipient. Possible values are: - `.htm` - `.xml` |
errorDetails | Model | Optional | Expand Locks a template — response body — error Details This object describes errors that occur. It is only valid for responses and ignored in requests. |
label | string | Optional | |
name | string | Optional |
Referenced models: Locks a template — response body — error Details
Deletes one or more users from a group — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
users | array | Optional | An array of `userInfo` objects containing information about the users in the group. |
users[] | Model | Each item | Expand Gets a specific template associated with a specified account — response body — owner |
Referenced models: Gets a specific template associated with a specified account — response body — owner
Deletes one or more users from a group — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
endPosition | string | Optional | The last index position in the result set. |
nextUri | string | Optional | The URI for the next chunk of records based on the search request. It is `null` if this is the last set of results for the search. |
previousUri | string | Optional | The URI for the prior chunk of records based on the search request. It is `null` if this is the first set of results for the search. |
resultSetSize | string | Optional | The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the `totalSetSize`. |
startPosition | string | Optional | The starting index position of the current result set. |
totalSetSize | string | Optional | The total number of items in the result set. This value is always greater than or equal to the value of `resultSetSize`. |
users | array | Optional | User management information. |
users[] | Model | Each item | Expand Gets a specific template associated with a specified account — response body — owner |
Referenced models: Gets a specific template associated with a specified account — response body — owner
Deletes recipients from a template — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Specifies the envelope recipients. |
agents | array | Optional | A list of agent recipients assigned to the documents. |
agents[] | Model | Each item | Expand Deletes recipients from a template — response body — agents item |
authorizedSignatories | array | Optional | |
authorizedSignatories[] | Model | Each item | Expand Deletes recipients from a template — response body — authorized Signatories item |
carbonCopies | array | Optional | A list of carbon copy recipients assigned to the documents. |
carbonCopies[] | Model | Each item | Expand Deletes recipients from a template — response body — carbon Copies item |
certifiedDeliveries | array | Optional | A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents. |
certifiedDeliveries[] | Model | Each item | Expand Deletes recipients from a template — response body — certified Deliveries item |
currentRoutingOrder | string | Optional | The routing order of the current recipient. If this value equals a particular signer's routing order, it indicates that the envelope has been sent to that recipient, but he or she has not completed the required actions. |
editors | array | Optional | A list of users who can edit the envelope. |
editors[] | Model | Each item | Expand Deletes recipients from a template — response body — editors item |
errorDetails | Model | Optional | Expand Locks a template — response body — error Details This object describes errors that occur. It is only valid for responses and ignored in requests. |
inPersonSigners | array | Optional | Specifies a signer that is in the same physical location as a Docusign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected. |
inPersonSigners[] | Model | Each item | Expand Deletes recipients from a template — response body — in Person Signers item |
intermediaries | array | Optional | Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added). |
intermediaries[] | Model | Each item | Expand Deletes recipients from a template — response body — intermediaries item |
notaries | array | Optional | A list of notary recipients on the envelope. |
notaries[] | Model | Each item | Expand Deletes recipients from a template — response body — notaries item |
notaryWitnesses | array | Optional | |
notaryWitnesses[] | Model | Each item | Expand Deletes recipients from a template — response body — notary Witnesses item |
participants | array | Optional | |
participants[] | Model | Each item | Expand Deletes recipients from a template — response body — participants item |
recipientCount | string | Optional | The number of recipients in the envelope. |
seals | array | Optional | A list of electronic seals to apply to documents. |
seals[] | Model | Each item | Expand Deletes recipients from a template — response body — seals item |
signers | array | Optional | A list of signers on the envelope. |
signers[] | Model | Each item | Expand Deletes recipients from a template — response body — signers item |
witnesses | array | Optional | A list of signers who act as witnesses on the envelope. |
witnesses[] | Model | Each item | Expand Deletes recipients from a template — response body — witnesses item |
Referenced models: Deletes recipients from a template — response body — agents item, Deletes recipients from a template — response body — authorized Signatories item, Deletes recipients from a template — response body — carbon Copies item, Deletes recipients from a template — response body — certified Deliveries item, Deletes recipients from a template — response body — editors item, Locks a template — response body — error Details, Deletes recipients from a template — response body — in Person Signers item, Deletes recipients from a template — response body — intermediaries item, Deletes recipients from a template — response body — notaries item, Deletes recipients from a template — response body — notary Witnesses item, Deletes recipients from a template — response body — participants item, Deletes recipients from a template — response body — seals item, Deletes recipients from a template — response body — signers item, Deletes recipients from a template — response body — witnesses item
Deletes recipients from a template — response body — agents item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Contains information about an agent recipient. An agent is a recipient who can add name and email information for recipients that appear after the agent in routing order. |
accessCode | string | Optional | If a value is provided, the recipient must enter the value as the access code to view and sign the envelope. Maximum Length: 50 characters and it must conform to the account's access code format setting. If blank, but the signer `accessCode` property is set in the envelope, then that value is used. If blank and the signer `accessCode` property is not set, then the access code is not required. |
accessCodeMetadata | Model | Optional | Expand Updates a template document — response body — name Metadata Metadata that indicates whether the `accessCode` property is editable. This property is read-only. |
addAccessCodeToEmail | string | Optional | Optional. When **true,** the access code will be added to the email sent to the recipient. This nullifies the security measure of `accessCode` on the recipient. |
additionalNotifications | array | Optional | An array of additional notification objects. |
additionalNotifications[] | Model | Each item | Expand Deletes recipients from a template — response body — agents item additional Notifications item |
allowSystemOverrideForLockedRecipient | string | Optional | When **true,** if the recipient is locked on a template, advanced recipient routing can override the lock. |
autoRespondedReason | string | Optional | Error message provided by the destination email system. This field is only provided if the email notification to the recipient fails to send. This property is read-only. |
bulkSendV2Recipient | string | Optional | |
clientUserId | string | Optional | Specifies whether the recipient is embedded or remote. If the `clientUserId` property is not null then the recipient is embedded. Use this field to associate the signer with their userId in your app. Authenticating the user is the responsibility of your app when you use embedded signing. If the `clientUserId` property is set and either `SignerMustHaveAccount` or `SignerMustLoginToSign` property of the account settings is set to **true,** an error is generated on sending. **Note:** This property is not returned by the [listStatusChanges](/docs/esign-rest-api/reference/envelopes/envelopes/liststatuschanges/) endpoint. Maximum length: 100 characters. |
completedCount | string | Optional | Indicates the number of times that the recipient has been through a signing completion for the envelope. If this number is greater than 0 for a signing group, only the user who previously completed may sign again. This property is read-only. |
consentDetailsList | array | Optional | |
consentDetailsList[] | Model | Each item | Expand Deletes recipients from a template — response body — agents item consent Details List item |
customFields | array | Optional | An optional array of strings that allows the sender to provide custom data about the recipient. This information is returned in the envelope status but otherwise not used by Docusign. Each customField string can be a maximum of 100 characters. |
customFields[] | string | Each item | |
declinedDateTime | string | Optional | The date and time the recipient declined the document. This property is read-only. |
declinedReason | string | Optional | The reason the recipient declined the document. This property is read-only. |
deliveredDateTime | string | Optional | The date and time that the envelope was delivered to the recipient. This property is read-only. |
deliveryMethod | string | Optional | The delivery method. One of: - `email` - `fax` - `SMS` - `WhatsApp` - `offline` The `SMS` and `WhatsApp` delivery methods are limited to `signer`, `carbonCopy`, and `certifiedDelivery` recipients. **Related topics** - [Using SMS delivery with the eSignature API][smsconcept] - [How to request a signature by SMS or WhatsApp delivery][howto] [smsconcept]: /docs/esign-rest-api/esign101/concepts/sms-delivery/using-sms-esignature/ [howto]: /docs/esign-rest-api/how-to/request-signature-sms-whatsapp/ |
deliveryMethodMetadata | Model | Optional | Expand Updates a template document — response body — name Metadata Reserved for Docusign. |
designatorId | string | Optional | Reserved for Docusign. |
designatorIdGuid | string | Optional | Reserved for Docusign. |
documentTemplateId | string | Optional | |
documentVisibility | array | Optional | A list of `documentVisibility` objects. Each object in the list specifies whether a document in the envelope is visible to this recipient. For the envelope to use this functionality, Document Visibility must be enabled for the account and the `enforceSignerVisibility` property must be set to **true.** |
documentVisibility[] | Model | Each item | Expand Updates document visibility for recipients — response body — document Visibility item |
email | string | Optional | The email ID of the agent. Notification of the document to sign is sent to this email id. Maximum length: 100 characters. |
emailMetadata | Model | Optional | Expand Updates a template document — response body — name Metadata Metadata that indicates whether the `email` property is editable. This property is read-only. |
emailNotification | Model | Optional | Expand Deletes recipients from a template — response body — seals item email Notification This optional property allows you to set a specific email subject and body for this recipient's notification email. **Note:** If you use this property, you _must_ provide a value for the `supportedLanguage` sub-property. You can set the `emailNotification` property separately for each recipient. If you set the value only for certain recipients, the other recipients are assigned the values from the top-level `emailSubject` and `emailBlurb`. |
emailRecipientPostSigningURL | string | Optional | |
embeddedRecipientStartURL | string | Optional | Specifies a sender-provided valid URL string for redirecting an embedded recipient. When using this option, the embedded recipient still receives an email from Docusign, just as a remote recipient would. When the document link in the email is clicked the recipient is redirected, through Docusign, to the supplied URL to complete their actions. When routing to the URL, the sender's system (the server responding to the URL) must request a recipient token to launch a signing session. When `SIGN_AT_DOCUSIGN`, the recipient is directed to an embedded signing or viewing process directly at Docusign. The signing or viewing action is initiated by the Docusign system and the transaction activity and Certificate of Completion records will reflect this. In all other ways the process is identical to an embedded signing or viewing operation launched by a partner. It is important to understand that in a typical embedded workflow, the authentication of an embedded recipient is the responsibility of the sending application. Docusign expects that senders will follow their own processes for establishing the recipient's identity. In this workflow the recipient goes through the sending application before the embedded signing or viewing process is initiated. However, when the sending application sets `EmbeddedRecipientStartURL=SIGN_AT_DOCUSIGN`, the recipient goes directly to the embedded signing or viewing process, bypassing the sending application and any authentication steps the sending application would use. In this case, Docusign recommends that you use one of the normal Docusign authentication features (Access Code, Phone Authentication, SMS Authentication, etc.) to verify the identity of the recipient. If the `clientUserId` property is NOT set, and the `embeddedRecipientStartURL` is set, Docusign will ignore the redirect URL and launch the standard signing process for the email recipient. Information can be appended to the embedded recipient start URL using merge fields. The available merge fields items are: `envelopeId`, `recipientId`, `recipientName`, `recipientEmail`, and `customFields`. The `customFields` property must be set for the recipient or envelope. The merge fields are enclosed in double brackets. *Example*: `http://senderHost/[[mergeField1]]/ beginSigningSession? [[mergeField2]]&[[mergeField3]]` |
errorDetails | Model | Optional | Expand Locks a template — response body — error Details This object describes errors that occur. It is only valid for responses and ignored in requests. |
excludedDocuments | array | Optional | Specifies the documents that are not visible to this recipient. Document Visibility must be enabled for the account and the `enforceSignerVisibility` property must be set to **true** for the envelope to use this. When enforce signer visibility is enabled, documents with tabs can only be viewed by signers that have a tab on that document. Recipients that have an administrative role (Agent, Editor, or Intermediaries) or informational role (Certified Deliveries or Carbon Copies) can always see all the documents in an envelope, unless they are specifically excluded using this setting when an envelope is sent. Documents that do not have tabs are always visible to all recipients, unless they are specifically excluded using this setting when an envelope is sent. |
excludedDocuments[] | string | Each item | |
faxNumber | string | Optional | Reserved for Docusign. |
faxNumberMetadata | Model | Optional | Expand Updates a template document — response body — name Metadata Reserved for Docusign. |
firstName | string | Optional | The recipient's first name. Maximum Length: 50 characters. |
firstNameMetadata | Model | Optional | Expand Updates a template document — response body — name Metadata Metadata that indicates whether the `firstName` property is editable. This property is read-only. |
fullName | string | Optional | Reserved for Docusign. |
fullNameMetadata | Model | Optional | Expand Updates a template document — response body — name Metadata Reserved for Docusign. |
idCheckConfigurationName | string | Optional | The name of the authentication check to use. This value must match one of the authentication types that the account uses. The names of these authentication types appear in the web console sending interface in the Identify list for a recipient. This setting overrides any default authentication setting. Valid values are: - `Phone Auth $`: The recipient must authenticate by using two-factor authentication (2FA). You provide the phone number to use for 2FA in the `phoneAuthentication` object. - `SMS Auth $`: The recipient must authenticate via SMS. You provide the phone number to use in the `smsAuthentication` object. - `ID Check $`: The recipient must answer detailed security questions. **Example:** Your account has ID Check and SMS Authentication available. In the web console Identify list, these appear as ID Check $ and SMS Auth $. To use ID Check in an envelope, the idCheckConfigurationName should be ID Check $. For SMS, you would use SMS Auth $, and you would also need to add a phone number to the smsAuthentication node. |
idCheckConfigurationNameMetadata | Model | Optional | Expand Updates a template document — response body — name Metadata Metadata that indicates whether the `idCheckConfigurationName` property is editable. This property is read-only. |
idCheckInformationInput | Model | Optional | Expand Deletes recipients from a template — response body — seals item id Check Information Input An object that contains input information related to a recipient ID check. |
identityVerification | Model | Optional | Expand Deletes recipients from a template — response body — seals item identity Verification Specifies the ID Verification workflow applied on an envelope by workflow ID. <br/>See the [list](/docs/esign-rest-api/reference/accounts/identityverifications/list/) method in the [IdentityVerifications](/docs/esign-rest-api/reference/accounts/identityverifications/) resource for more information on how to retrieve workflow IDs available for an account. <br/>This can be used in addition to other [recipient authentication](https://support.docusign.com/s/document-item?bundleId=gav1643676262430&topicId=kzp1578456318101.html) methods. <br/>Note that ID Verification and ID Check are two distinct methods. ID Verification checks recipients' identity by verifying their ID while ID Check relies on data available on public records (such as current and former address). |
inheritEmailNotificationConfiguration | string | Optional | When **true** and the envelope recipient creates a Docusign account after signing, the Manage Account Email Notification settings are used as the default settings for the recipient's account. |
lastName | string | Optional | The recipient's last name. |
lastNameMetadata | Model | Optional | Expand Updates a template document — response body — name Metadata Metadata that indicates whether the `lastName` property is editable. This property is read-only. |
lockedRecipientPhoneAuthEditable | string | Optional | Reserved for Docusign. |
lockedRecipientSmsEditable | string | Optional | Reserved for Docusign. |
name | string | Optional | The full legal name of the recipient. Maximum Length: 100 characters. **Note:** You must always set a value for this property in requests, even if `firstName` and `lastName` are set. |
nameMetadata | Model | Optional | Expand Updates a template document — response body — name Metadata Metadata that indicates whether the `name` property is editable. This property is read-only. |
note | string | Optional | A note sent to the recipient in the signing email. This note is unique to this recipient. In the user interface, it appears near the upper left corner of the document on the signing screen. Maximum Length: 1000 characters. |
noteMetadata | Model | Optional | Expand Updates a template document — response body — name Metadata Metadata that indicates whether the `note` property is editable. This property is read-only. |
phoneAuthentication | Model | Optional | Expand Deletes recipients from a template — response body — seals item phone Authentication When `idCheckConfigurationName` is set to `Phone Auth $`, you use this complex type to provide the recipient authentication method details. It contains the following elements: * `recipMayProvideNumber`: Boolean. When **true,** the recipient can use whatever phone number they choose. * `senderProvidedNumbers`: ArrayOfStrings. A list of phone numbers the recipient can use. * `recordVoicePrint`: Reserved for Docusign. * `validateRecipProvidedNumber`: Reserved for Docusign. |
phoneNumber | Model | Optional | Expand Deletes recipients from a template — response body — agents item phone Number Describes the recipient phone number. |
proofFile | Model | Optional | Expand Deletes recipients from a template — response body — seals item proof File The proof file of the recipient. |
recipientAttachments | array | Optional | Reserved for Docusign. |
recipientAttachments[] | Model | Each item | Expand Deletes recipients from a template — response body — seals item recipient Attachments item |
recipientAuthenticationStatus | Model | Optional | Expand Deletes recipients from a template — response body — seals item recipient Authentication Status Information about the recipient's authentication status. This property is read-only. |
[...]
